Trecerea serverelor HostVision la PHP 5.5

Trecerea serverelor HostVision la PHP 5.5

Incepand cu Iunie 2015, HostVision va actualiza progresiv toate serverele cu versiunea PHP 5.5 iar ulterior cu 5.6 conform recomandarilor PHP Development Team!

Trecerea versiunii PHP la 5.5 si ulterior la 5.6 este necesara deoarece versiunile vechi nu sunt intretinute si pot sa contina gauri de securitate. Acest update imbunatateste semnificativ securitatea si aduce cateva functionalitati si functii noi.
Va invitam sa parcurgeti documentele oficiale PHP pentru a pregati softurile folosite trecerii la PHP 5.5:

Cele mai multe imbunatatiri si modificari din versiunea 5.5 nu ar trebui sa influenteze codul existent, va prezentam mai jos cele importante:

  1. Directive Scoase / Incompatibilitati
  2. Functii Invechite (Deprecated functions)

Compatibilitati Softuri

 Anumite probleme au fost raportate la utilizarea APC cache cu PHP 5.5

 Variantele anterioare de OpenCart nu suporta oficial PHP 5.5, afiseaza mesaje E_DEPRECATED

 Variantele anterioare de CodeIgniter nu suporta oficial PHP 5.5, afiseaza mesaje E_DEPRECATED

SiteLock